Bug 1305746 - Failure to resolve DNS queries
Failure to resolve DNS queries
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-pydns (Show other bugs)
epel7
x86_64 Linux
unspecified Severity high
: ---
: ---
Assigned To: Paul Wouters
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-09 01:09 EST by Dimitris
Modified: 2017-06-07 05:28 EDT (History)
2 users (show)

See Also:
Fixed In Version: python-pydns-2.3.6-7.fc24 python-pydns-2.3.6-7.fc25 python-pydns-2.3.6-2.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1454372 (view as bug list)
Environment:
Last Closed: 2017-05-27 23:56:57 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dimitris 2016-02-09 01:09:27 EST
Description of problem:

The package pypolicyd-spf requires python-pydns to make dns TXT queries for SPF checking. Unfortunately, python-pydns-2.3.6-1 contains a bug that causes all queries to fail.

This apparently has already been fixed and there is a patch from upstream, more details here:

http://bazaar.launchpad.net/~ubuntu-branches/ubuntu/vivid/python-dns/vivid/view/head:/debian/patches/pydns_timeout.patch

and here:

https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=718547


Apparently, the issue was fixed in later versions of python-pydns 2.3.6-3, which is available in Fedora 23, but not EPEL.

Any help would be appreciated.

Thank you.
Comment 1 Dimitris 2016-02-09 01:23:06 EST
Just compared files, apparently the Fedora package with higher version number does not include the Debian patch.
Comment 2 Tuomo Soini 2017-05-18 01:49:11 EDT
This bug is really annoying and makes python-pydns unusable. Please fix it.
Comment 3 Tuomo Soini 2017-05-18 02:07:39 EDT
Tested that referenced patch fixes the issue.
Comment 4 Fedora Update System 2017-05-18 12:31:18 EDT
python-pydns-2.3.6-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f8516de77f
Comment 5 Fedora Update System 2017-05-18 12:48:27 EDT
python-pydns-2.3.6-7.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-7276458a1b
Comment 6 Fedora Update System 2017-05-18 13:00:01 EDT
python-pydns-2.3.6-7.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2017-95d01e9022
Comment 7 Fedora Update System 2017-05-18 13:11:15 EDT
python-pydns-2.3.6-7.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2017-a019b8c81f
Comment 8 Fedora Update System 2017-05-19 17:10:24 EDT
python-pydns-2.3.6-7.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-7276458a1b
Comment 9 Fedora Update System 2017-05-19 21:06:01 EDT
python-pydns-2.3.6-7.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-95d01e9022
Comment 10 Fedora Update System 2017-05-19 21:25:09 EDT
python-pydns-2.3.6-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2017-f8516de77f
Comment 11 Fedora Update System 2017-05-19 23:01:53 EDT
python-pydns-2.3.6-7.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-a019b8c81f
Comment 12 Fedora Update System 2017-05-27 23:56:57 EDT
python-pydns-2.3.6-7.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2017-05-28 02:00:38 EDT
python-pydns-2.3.6-7.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2017-06-07 05:28:39 EDT
python-pydns-2.3.6-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.